Table of Contents

## Name

im_histplot - graph an image of one horizontal or vertical line

## Synopsis

#include <vips/vips.h>

int im_histplot(in, out)
IMAGE *in, *out;

## Description

im_histplot(3) plots a graph of a horizontal or vertical image file with one line. It is suitable for displaying the output of histogram functions such as im_histgr(3) and for displaying line profiles.

The input image should be either one horizontal line (Ysize=1) or one vertical line (Xsize=1). If the image is FMTUCHAR, the graph is drawn as 256 by line-length pixels. For all other unsigned integer types, im_histplot(3) finds the image maximum, and draws the graph as max by line-lenth pixels.

For signed integer types, im_histplot(3) finds minimum and maximum, moves min up to zero, and draws the graph as min + max by line-lenth pixels.

For float types, im_histplot(3) finds minimum and maximum, and scales the image range so as to make the graph square.

## Returned Value

The function returns 0 on success and -1 on error.

## See Also

im_histgr(3) , im_extract(3) .

## Copyright

National Gallery and Birkbeck College, 1995

Table of Contents

- Name
- Synopsis
- Description
- Returned Value
- See Also
- Copyright